# $Revision: 1.24 $, $Date: 2010/06/06 08:41:16 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" - working database connection required
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Pg
%define		module	pgperl
Summary:	Perl interface to PostgreSQL database
Summary(es.UTF-8):	Módulo Perl para acceder un servidor PostgreSQL
Summary(pl.UTF-8):	Interfejs dla Perla umożliwiający dostęp do baz PostgreSQL
Summary(pt_BR.UTF-8):	Módulo Perl para acesso ao servidor PostgreSQL
Summary(ru.UTF-8):	Библиотеки и модули для доступа к PostgreSQL из perl
Summary(uk.UTF-8):	Бібліотеки та модулі для доступу до PostgreSQL з Perl
Summary(zh_CN.UTF-8):	PostgreSQL 的 PL/Perl 程序语言
Name:		perl-Pg
Version:	2.0.2
Release:	6
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	ftp://gborg.postgresql.org/pub/pgperl/stable/%{module}-%{version}.tar.gz
# Source0-md5:	0813c5ab151dd37ad8938634550e6c1a
URL:		http://gborg.postgresql.org/project/pgperl/projdisplay.php
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	postgresql-devel
Obsoletes:	postgresql-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an interface between Perl and PostgreSQL. This uses the
Perl5 API for C extensions to call the PostgreSQL libpq interface.
Unlike DBD:pg, pgperl tries to implement the libpq interface as
closely as possible.

%description -l pl.UTF-8
Ten moduł jest interfejsem między Perlem a PostgreSQL-em. Używa API
Perla 5 dla rozszerzeń C, aby odwoływać się do interfejsu libpq
PostgreSQL-a. W przeciwieństwie do DBD::pg, pgperl jest próbą
implementacji interfejsu libpq tak bliską, jak to tylko możliwe.

%prep
%setup -q -n %{pnam}-%{version}

%build
POSTGRES_HOME=%{_prefix}
export POSTGRES_HOME
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/auto/Pg
%attr(755,root,root) %{perl_vendorarch}/auto/Pg/*.so
%{perl_vendorarch}/auto/Pg/*.bs
%{perl_vendorarch}/*.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pg.spec,v $
Revision 1.24  2010/06/06 08:41:16  arekm
- release 6

Revision 1.23  2008/02/10 12:17:46  arekm
- rel 5

Revision 1.22  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.20  2006/12/20 12:34:16  hawk
- release 4 to rebuild with PostgreSQL 8.2

Revision 1.19  2004/10/28 12:31:46  paladine
- "PostgreSQL" unification

Revision 1.18  2004/06/14 09:18:18  radek
- release 3: it's not noarch

Revision 1.17  2004/06/07 17:49:14  qboosh
- unfolded some macros

Revision 1.16  2004/05/06 18:20:55  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/05 13:52:51  ankry
- license fix

Revision 1.14  2004/03/13 23:09:16  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.13  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.12  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.11  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/10 22:36:24  radek
- removed R: perl

Revision 1.8  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 20:22:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/27 20:58:01  ankry
- fixed %%attr and %%files

Revision 1.5  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.4  2003/02/19 08:21:11  qboosh
- Obsoletes: postgresql-perl

Revision 1.3  2003/02/17 19:13:09  qboosh
- pl description

Revision 1.2  2003/02/16 16:47:21  wrobell
- use more macros

Revision 1.1  2003/02/16 16:45:47  wrobell
- based on perl-PLP.spec and postgresql.spec from RA-branch
